<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hrsc__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hrsc_t</compoundname>
    <includes local="no">cy_ble_hrs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hrsc__t_1a5250bb83b11186ba19160235ddc5bdbb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref></type>
        <definition>cy_stc_ble_srvr_char_info_t cy_stc_ble_hrsc_t::charInfo[CY_BLE_HRS_CHAR_COUNT]</definition>
        <argsstring>[CY_BLE_HRS_CHAR_COUNT]</argsstring>
        <name>charInfo</name>
        <briefdescription>
<para>Heart Rate Service Characteristics handles and properties array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="83" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="83" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hrsc__t_1a6755ac5750e14808fa9a93c9b5d5b46a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hrsc_t::hrmCccdHandle</definition>
        <argsstring />
        <name>hrmCccdHandle</name>
        <briefdescription>
<para>Heart Rate Measurement client char. </para>        </briefdescription>
        <detaileddescription>
<para>config. descriptor Handle </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="86" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="86" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Discovered Attributes Information of Heart Rate Service. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="866">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
      <node id="865">
        <label>cy_stc_ble_hrsc_t</label>
        <link refid="structcy__stc__ble__hrsc__t" />
        <childnode refid="866" relation="usage">
          <edgelabel>charInfo</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="87" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="81" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hrsc__t_1a5250bb83b11186ba19160235ddc5bdbb" virt="non-virtual"><scope>cy_stc_ble_hrsc_t</scope><name>charInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__hrsc__t_1a6755ac5750e14808fa9a93c9b5d5b46a" virt="non-virtual"><scope>cy_stc_ble_hrsc_t</scope><name>hrmCccdHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>